# DataExchange
TKSTEP
StepToGeom

# StepToGeom_MakeBSplineCurve2d Class Reference

This class implements the mapping between classes
BSplineCurve from StepGeom and BSplineCurve from Geom2d
.

`#include <StepToGeom_MakeBSplineCurve2d.hxx>`

Inheritance diagram for StepToGeom_MakeBSplineCurve2d:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToGeom_MakeBSplineCurve2d (const Handle(StepGeom_BSplineCurve)&Bsplin)
Standard_EXPORT const Handle_Geom2d_BSplineCurve & | Value () const

## Private Attributes

Handle_Geom2d_BSplineCurve | theBSplineCurve

## Constructor & Destructor Documentation

Standard_EXPORT StepToGeom_MakeBSplineCurve2d::StepToGeom_MakeBSplineCurve2d | ( | const Handle(StepGeom_BSplineCurve)& | Bsplin | ) |

## Member Function Documentation

void StepToGeom_MakeBSplineCurve2d::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeBSplineCurve2d::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeBSplineCurve2d::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepToGeom_Root.

Standard_EXPORT const Handle_Geom2d_BSplineCurve& StepToGeom_MakeBSplineCurve2d::Value | ( |  | ) | const

## Field Documentation

Handle_Geom2d_BSplineCurve StepToGeom_MakeBSplineCurve2d::theBSplineCurve `[private]`

The documentation for this class was generated from the following file:

- StepToGeom_MakeBSplineCurve2d.hxx